From 04b14c4569309f1a433d955773aeb8a3607a1360 Mon Sep 17 00:00:00 2001
From: Alistair Francis <alistair.francis@wdc.com>
Date: Tue, 19 Mar 2019 13:32:54 -0700
Subject: [PATCH 5/7] pip requirements: Don't install requirements with pip

Signed-off-by: Alistair Francis <alistair.francis@wdc.com>
Upstream-Status: Inappropriate [embedded specific]
---
 dev_setup.sh          | 15 +--------------
 requirements.txt      | 36 ------------------------------------
 test-requirements.txt |  7 -------
 3 files changed, 1 insertion(+), 57 deletions(-)
 delete mode 100644 requirements.txt
 delete mode 100644 test-requirements.txt

diff --git a/dev_setup.sh b/dev_setup.sh
index 0c8e11b8170..be4a19de0c3 100755
--- a/dev_setup.sh
+++ b/dev_setup.sh
@@ -351,19 +351,6 @@ fi
 
 PYTHON=$(python -c "import sys;print('python{}.{}'.format(sys.version_info[0], sys.version_info[1]))")
 
-# install required python modules
-if ! pip install -r requirements.txt ; then
-    echo 'Warning: Failed to install all requirements. Continue? y/N'
-    read -n1 continue
-    if [[ $continue != 'y' ]] ; then
-        exit 1
-    fi
-fi
-
-if ! pip install -r test-requirements.txt ; then
-    echo "Warning test requirements wasn't installed, Note: normal operation should still work fine..."
-fi
-
 SYSMEM=$(free | awk '/^Mem:/ { print $2 }')
 MAXCORES=$(($SYSMEM / 512000))
 MINCORES=1
@@ -420,4 +407,4 @@ if [[ ! -w /var/log/mycroft/ ]] ; then
 fi
 
 #Store a fingerprint of setup
-md5sum requirements.txt test-requirements.txt dev_setup.sh > .installed
+md5sum dev_setup.sh > .installed
diff --git a/requirements.txt b/requirements.txt
deleted file mode 100644
index 0140d5465dc..00000000000
--- a/requirements.txt
+++ /dev/null
@@ -1,36 +0,0 @@
-six==1.10.0
-cryptography==2.6.1
-requests==2.20.0
-gTTS==2.0.3
-gTTS-token==1.1.3
-PyAudio==0.2.11
-pyee==5.0.0
-SpeechRecognition==3.8.1
-tornado==4.5.3
-websocket-client==0.54.0
-requests-futures==0.9.5
-pyalsaaudio==0.8.2
-xmlrunner==1.7.7
-pyserial==3.0
-psutil==5.2.1
-pocketsphinx==0.1.0
-inflection==0.3.1
-pillow==4.1.1
-python-dateutil==2.6.0
-pychromecast==3.2.2
-python-vlc==1.1.2
-google-api-python-client==1.6.4
-fasteners==0.14.1
-PyYAML==3.13
-
-msm==0.8.3
-msk==0.3.13
-adapt-parser==0.3.3
-padatious==0.4.6
-fann2==1.0.7
-padaos==0.1.9
-precise-runner==0.2.1
-petact==0.1.2
-
-# dev setup tools
-pep8==1.7.0
diff --git a/test-requirements.txt b/test-requirements.txt
deleted file mode 100644
index fd129e3f66d..00000000000
--- a/test-requirements.txt
+++ /dev/null
@@ -1,7 +0,0 @@
-pycodestyle===2.5.0
-coveralls==1.5.0
-pytest==3.5.0
-pytest-cov==2.5.1
-cov-core==1.15.0
-sphinx==1.8.2
-sphinx-rtd-theme==0.4.2
-- 
2.23.0

